package com.usky.demo.annotation.aspect;


import com.usky.demo.domain.FaceVefLog;
import com.usky.demo.service.FaceVefLogService;
import com.usky.demo.service.vo.FaceResultVO;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author tanyongpeng
 * <p>方法执行后，添加日志</p>
 **/
@Component
@Aspect
public class FaceAspect {

    @Autowired
    private FaceVefLogService faceVefLogService;

    @AfterReturning(value = "@annotation(com.usky.demo.annotation.FaceLog)",returning = "res")
    public void addLog(JoinPoint joinPoint ,Object res){
        FaceResultVO result = (FaceResultVO)res;
        FaceVefLog faceVefLog = new FaceVefLog();
        faceVefLog.setVefTime(LocalDateTime.now());
        faceVefLog.setVefCode(result.getCode());
        faceVefLog.setVefMsg(result.getMsg());
        faceVefLog.setLoginName(result.getName());
        faceVefLogService.save(faceVefLog);
    }


}
